Default

Description
Please reopen bug #6433. Not familiar with system here or | would try.

The filter on the web interface is not allowing URLS for the DHCP server/ tftp server option.

I need to be able to put URL such as:

"http://p.phonism.com/m"
"tftp://192.168.210.1/a/b/c"
"ftp://192.168.210.1/a/b"
etc

We use this functionality for polycom phone provisioning.
Currently | have to edit config manually and import config to change this.

If this is already fixed for a future release then my apologizes.

Associated revisions

Revision 48381631 - 07/31/2016 03:21 AM - Doktor Notor
Allow URLs for TFTP Server (Bug #6634)

is_URL() from util.inc is way too limited for this purpose.

Revision 8ff248d6 - 07/31/2016 03:38 AM - Doktor Notor
Allow URLs for TFTP Server (Bug #6634)

is_URL() from util.inc is way too limited for this purpose.

Revision c411661a - 07/31/2016 04:27 AM - Doktor Notor
Allow URLs for TFTP Server (Bug #6634)

The setPattern() thing ain't usable for this and just causes regressions.

Revision 2e5a481c - 08/04/2016 04:47 PM - Doktor Notor
Allow URLs for TFTP Server (Bug #6634)

is_URL() from util.inc is way too limited for this purpose.
(cherry picked from commit 48381631392487707bca0aa983c73064bd52371)
https://redmine.pfsense.org/issues/6433

Revision 8b125927 - 08/04/2016 04:48 PM - Doktor Notor
Allow URLs for TFTP Server (Bug #6634)

is_URL() from util.inc is way too limited for this purpose.
(cherry picked from commit 8ff248d6a3f31dba42c4c64b5290928030faad4a)

Revision 8a4cc539 - 08/04/2016 04:48 PM - Doktor Notor
Allow URLs for TFTP Server (Bug #6634)

The setPattern() thing ain't usable for this and just causes regressions.
(cherry picked from commit c411661a8e8f9f9eb014a24954b9be2fcaaece18)

History

#1 - 07/22/2016 03:03 AM - Chris Buechler
- Subject changed from Reopen Bug #6433 to DHCP Server "TFTP Server" field should allow URLs
- Status changed from New to Confirmed

- Assignee deleted (Chris Buechler)

different issue, we'll keep this here.

#2 - 07/26/2016 03:09 AM - Rene Plattner

see: https://forum.pfsense.org/index.php?topic=114085.0

#3 - 07/31/2016 03:23 AM - Kill Bill
@Rene: Try https:/github.com/pfsense/pfsense/pull/3083

#4 - 08/02/2016 04:49 AM - Rene Plattner

It works!
#5 - 08/04/2016 04:48 PM - Renato Botelho

- Status changed from Confirmed to Feedback

- % Done changed from 0 to 100

PR has been merged, thanks!

#6 - 12/23/2016 08:15 AM - Jim Pingle

- Status changed from Feedback to Resolved

Works fine.

The TFTP field itself had a different issue as well, see 9d9736d7bf456a441e3cb95421cfed429502e220

#7 - 02/10/2017 10:36 AM - Jim Pingle
- Assignee set to Jim Pingle

- Target version changed from 2.4.0 to 2.3.3
